﻿@model SimCost;
@using DTO;
@using zhengcaioa.Models;
@{
    Layout = null;
    List<SimBindView> Card = ViewData["SimCard"] as List<SimBindView>; 
}

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="ThemeBucket">
    <link href="~/css/bootstrap.min.css" rel="stylesheet">
    <link href="~/css/font-awesome.min.css" rel="stylesheet">
    <link href="~/css/animate.min.css" rel="stylesheet">
    <link href="~/css/style.min.css" rel="stylesheet">
    <link href="~/css/plugins/chosen/chosen.css" rel="stylesheet">
    <link href="~/js/plugins/layer/skin/layer.css" rel="stylesheet">
    <link href="~/css/style.min.css" rel="stylesheet">
    <link href="~/css/plugins/toastr/toastr.min.css" rel="stylesheet" />

    <!-- jqgrid-->
    <script language="javascript" src="~/js/jquery.min.js" type="text/javascript"></script>
    <script src="~/js/bootstrap.min.js"></script>

    <!--容器-->
    <script language="javascript" src="~/js/plugins/chosen/chosen.jquery.js" type="text/javascript"></script>
    <script language="javascript" src="~/js/plugins/layer/layer.js" type="text/javascript"></script>
    <script src="~/js/plugins/toastr/toastr.min.js" type="text/javascript"></script>
    <script language="javascript" src="~/js/common-layout.js" type="text/javascript"></script>
    <script src="~/js/plugins/layer/laydate/laydate.js" type="text/javascript"></script>
    <script src="~/js/TUJS.js"></script>

    <style type="text/css">
        
        div.clearfix > label {
            padding-top: 8px;
        }

        .col-md-1.control-label {
            padding-right: 0px;
            font-weight: 400;
        }
    </style>


</head>

<body class="gray-bg" style="overflow:auto">
    <form id="fm" method="post">
        <div class="wrapper wrapper-content" id="ibox-content" style="padding:15px;">
            <div class="row">
                <div class="col-sm-12">
                    <div class="ibox float-e-margins">
                        <div id="div_content" class="ibox-content" style="background-color:white;">
                            <div class="row">
                                <div class="clearfix layer-area" style="padding-bottom:15px;">
                                    <label class="text-right col-sm-1 col-md-1 control-label">电话卡号<i class="red">*</i></label>
                                    <div class="col-sm-2 col-md-2">
                                        <select id="cbbCard" class="data form-control" name="sim_id" data-placeholder="选择 序列 ...">
                                            <option value="" hassubinfo="true">请选择</option>
                                            @foreach (var item in Card)
                                            {
                                                @if (!item.Id.Equals(Model.sim_id))
                                                {
                                                    <option value="@item.Id" hassubinfo="true">
                                                        @item.simcard
                                                    </option>
                                                }
                                                else
                                                {
                                                    <option value="@item.Id" hassubinfo="true" selected="selected">
                                                        @item.simcard
                                                    </option>
                                                }
                                            }
                                        </select>
                                        <input type="hidden" name="id" value="@Model.id" />
                                    </div>
                                </div>
                                <div class="clearfix layer-area" style="padding-bottom:15px;">
                                    <label class="text-right col-sm-1 col-md-1 control-label">实际电话费用<i class="red">*</i></label>
                                    <div class="col-sm-2 col-md-2">
                                        <input id="billamount" class="form-control" label="薪资待遇" name="bill_amount" labtype="txt" addvisible="true" maxlength="500" editvisible="true" reg="" ismust="true" type="text" value="@Model.bill_amount" oninput="if(value.length>4)value=value.slice(0,10)" onkeyup="value=value.toString().match(/^\d+(?:\.\d{0,2})?/)">
                                    </div>
                                </div>
                                <div class="clearfix layer-area" style="padding-bottom:15px;">

                                    <label class="text-right col-sm-1 col-md-1 control-label">费用记账日期<i class="red">*</i></label>
                                    <div class="col-sm-2 col-md-2">
                                        <input id="acTime" class="form-control" name="accounted_time" labtype="txt" addvisible="true" editvisible="true" reg="" ismust="true" type="text" value="@Model.accounted_time.ToString("yyyy/MM/dd")" >
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="ibox-content" id="top" style="z-index:100; position:fixed; height:50px; width:100%;bottom:0; text-align: right; padding-top:8px ">
            <div class="" style="float:right;" data-bootstro-width="500px" data-bootstro-content="功能按钮：“保存”，“取消”">
                <a class="btn btn-success" href="javascript:void(0)" onclick="_pageAutoClose();" style="margin-left:4px; border-radius:4px;">
                    <i class="glyphicon glyphicon-remove"></i>&nbsp;&nbsp;<span class="bold">取消</span>
                </a>
                <a class="btn btn-success" href="javascript:void(0)" onclick="saveSimCost();" style="margin-left:4px; border-radius:4px;">
                    <i class="glyphicon glyphicon-ok"></i>&nbsp;&nbsp;<span class="bold">保存</span>
                </a>
            </div>
        </div>

    </form>

    <script type="text/javascript">
         $(function () {
            
             $("#cbbCard").chosen();           

             laydate({ elem: "#acTime", format: 'YYYY/MM/DD', istime: false, event: "focus" });

            });

        var hh = document.body.clientHeight - $('.ibox-title').height() - $("#top").height() * 2 - 95;
        $("#div_content").height(hh);

        toastr.options = {
            "closeButton": true,
            "debug": false,
            "progressBar": true,
            "positionClass": "toast-bottom-right",
            "onclick": null,
            "showDuration": "300",
            "hideDuration": "600",
            "timeOut": "4500",
            "extendedTimeOut": "600",
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        };

        // 保存
        function saveSimCost() {

            if ($("#cbbCard").val() == '') {
                toastr.warning("电话卡号不能为空");
                return;
            }
            if ($("#billamount").val() == '') {
                toastr.warning("实际电话费用不能为空");
                return;
            }
            if ($("#acTime").val() == '') {
                toastr.warning("费用记账日期不能为空");
                return;
            }
           
            $.ajax({
                type: "POST",
                url: "/SimCost/SaveSimCost",
                dataType: "json",
                global: false,
                data: $('#fm').serialize(),
                success: function (data) {

                        if (data.Result) {
                            parent.layer.msg('设置成功', { icon: 6 });
                            try {
                                _pageAutoClose();//自动关闭页面方法
                            }
                            catch (err) {
                                parent._CloseTab1("/SimCost/Edit/");
                            }
                        }
                        else {
                            // toastr.error("失败");
                            parent.layer.msg(data.Message, { icon: 5 });
                        }

                },
                error: function () {
                    parent.layer.msg('失败', { icon: 5 });
                }
            });
        }


        function _pageAutoClose() {
            parent.window._reloadPageData();
            var index = parent.layer.getFrameIndex(window.name);
            parent.layer.isRefresh = true;
            parent.layer.closeAll('loading');
            parent.layer.close(index);
            return false;
        }
    </script>
</body>
</html>